All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
DBIDriver Class Reference

this class provides the internal link to the database driver for Qore's DBI layer More...

`#include <DBI.h>`

## Public Member Functions

DLLEXPORT const char * | getName () const
| this is the only public exported function available in this class
DLLEXPORT bool | hasStatementAPI () const
| returns true if the driver supports the statement API
DLLEXPORT QoreHashNode * | getOptionHash () const
| returns the valid options for this driver with descriptions

## Detailed Description

this class provides the internal link to the database driver for Qore's DBI layer

most of these functions are not exported; the Datasource class should be used instead of using the DBIDriver class directly

See Also
  Datasource

## Member Function Documentation

DLLEXPORT const char* DBIDriver::getName | ( |  | ) | const

this is the only public exported function available in this class

Returns
  the name of the driver (ex: "oracle")

DLLEXPORT QoreHashNode* DBIDriver::getOptionHash | ( |  | ) | const

returns the valid options for this driver with descriptions

Returns
  a hash where the keys are valid option names, and the values are hashes with the following keys:
  - `"desc"`: a string description of the option
  - `"type"`: a string giving the data type restriction for the option

The caller owns the reference count for the hash returned

The documentation for this class was generated from the following file:

- include/qore/DBI.h (5431)